<?php
namespace HCM\GSO\Logic;

use HCM\Util\DateUtil;
use HCM\Util\HCMParameters;

class PontuacaoOcupacao {
    
    protected $campos = Array('CARGO','ESCOLARIDADE','EXPERIENCIA','FORMACAO','CURSO');
    private $hcmParameters;
    
    public function __construct(HCMParameters $hcmParameters) {
        $this->hcmParameters = $hcmParameters;
    }
    
    public function PreparaPontuaOcupacao($dataSet, $nrocupa, $nmocupa) {
        $rows = $dataSet->getRows();
        
        foreach ($dataSet->getRows() as &$row) {
            $key = array_search($row["DSTIPOPONTUACAO"], $this->campos);
            if($key!==false){
                unset($this->campos[$key]);
            }
        }
        
        foreach($this->campos as $campo){
            $dado = Array(
              "NRORG"            =>$this->hcmParameters->getNrorgTrabalho(),
              "NRPONTUACAOCUPA"  => \HCM\Util\NovoCodigo::geraCodigo($this->hcmParameters->getNrorgPadrao(), 'GSO_PONTUACAOCUPA', 1, 12, true),
              "NROCUPACAOM"      => $nrocupa,
              "DSTIPOPONTUACAO"  => $campo,
              "VRPONTUACAO"      => 0,
              "IDATIVO"          => "S",
              "DTINCLUSAO"       => DateUtil::getDataAtual()->format(DateUtil::FORMATO_BRASILEIRO),
              "DTULTATU"         => DateUtil::getDataAtual()->format(DateUtil::FORMATO_BRASILEIRO),
              "NRORGINCLUSAO"    => $this->hcmParameters->getNrorgTrabalho(),
              "CDOPERINCLUSAO"   => $this->hcmParameters->getCdoperador(),
              "NRORGULTATU"      => $this->hcmParameters->getNrorgTrabalho(),
              "CDOPERULTATU"     => $this->hcmParameters->getCdoperador(),
              "NMOCUPACAOH"      => $nmocupa,
              "__is_new"         => true
            );
            array_push($rows,$dado);
        }
        return $rows;
    }

}
