<?php

namespace HCM\Geral\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;
use HCM\Util\Messages;
use HCM\Util\Repositories;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DTO\Response\Error;

class MovimentacaoTransferenciaService {
    
    protected $entityManager;
    protected $hcmParameters;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
    }
    
    public function deleteMovimentacaoTransferencia($dataset) {
        try {
            $this->entityManager->beginTransaction();
            $movtransh = $this->entityManager->getRepository(Repositories::GPE_TPMOVTRANSFH)->findOneBy(array("nrtpmovtransfm" => $dataset['NRTPMOVTRANSFM'], "nrtpmovtransfh" => $dataset['NRTPMOVTRANSFH']));
            $this->entityManager->remove($movtransh);
            $this->entityManager->flush();
            $movtranshh = $this->entityManager->getRepository(Repositories::GPE_TPMOVTRANSFH)->findOneBy(array("nrtpmovtransfm" => $dataset['NRTPMOVTRANSFM']));
            if(empty($movtranshh)) {
                $movtransm = $this->entityManager->getRepository(Repositories::GPE_TPMOVTRANSFM)->findOneBy(array("nrtpmovtransfm" => $dataset['NRTPMOVTRANSFM'],"nrorg" => $dataset['NRORG']));
                $this->entityManager->remove($movtransm);
                $this->entityManager->flush();
            }
            $this->entityManager->commit();
        } catch (\Exception $e) {            
            $this->entityManager->rollback();
            throw $e;
        }
    }
}